<div *ngIf="this.isLoading; then isLoadingBlock else isNotLoadingBlock"></div>
<ng-template #isLoadingBlock>
    <mat-spinner></mat-spinner>
</ng-template>
<ng-template #isNotLoadingBlock>
    <h1 mat-dialog-title>{{ trade.expectedIncrease }}%&nbsp;<span i18n="Expected increase@@expectedIncreaseID">Increase</span></h1>
    <h3 mat-dialog-title><a [routerLink]="['/profile', trade.author]" class="link">{{ trade.author }}</a> - {{ trade.date | date }}</h3>
    <mat-dialog-content>
        <span class="with-icon">
            <mat-icon>date_range</mat-icon>
            <strong>&nbsp;<span i18n="Time range@@timeRangeID">Time range</span>:&nbsp;</strong>
            {{ trade.startdate | date }} - {{ trade.enddate | date }}
        </span>

        <span class="with-icon">
            <mat-icon>emoji_objects</mat-icon>
            <strong>&nbsp;<span i18n="Percentage of the Portfolio@@percentageOfPortfolioID">Percentage of Portfolio</span>:&nbsp;</strong> 
            {{ trade.percent }}%
        </span>

        <span class="with-icon">
            <mat-icon>account_balance</mat-icon>
            <strong>&nbsp;<span i18n="Currencies to exchange@@exchangeCurrenciesID">Currencies</span>:&nbsp;</strong>
            {{ trade.fiatcurrency }}&nbsp;<mat-icon>east</mat-icon>&nbsp;{{ trade.cryptocurrency }}
        </span>
        <div style="height: 1em;"></div>
        <h4 i18n="Motivation@@motivationID">Motivation</h4>
        <span>{{ trade.motivation }}</span>
        <div style="height: 3em;"></div>
        <h4 i18n="Description@@descriptionID">Description</h4>
        <span>{{ trade.description }}</span>
    </mat-dialog-content>
    <div mat-dialog-actions>
        <button mat-stroked-button color="accent" i18n="Close@@closeID" mat-dialog-close>Close</button>
    </div>
</ng-template>